Store file

Store a single file by UUID. When file is stored, it is available permanently. If not stored — it will only be available for 24 hours. If the parameter is omitted, it checks the Auto file storing setting of your Uploadcare project identified by the public_key provided in the auth-param.

Authentication

Authorizationstring
Every request made to `https://api.uploadcare.com/` MUST be signed. HTTPS SHOULD be used with any authorization scheme. Requests MUST contain the `Authorization` header defining `auth-scheme` and `auth-param`: `Authorization: auth-scheme auth-param`. Every request MUST contain the `Accept` header identifying the REST API version: `Accept: application/vnd.uploadcare-v0.7+json`. There are two available authorization schemes: * For production: `Uploadcare`, a scheme where a `signature`, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend. * For quick tests: `Uploadcare.Simple`, a simple scheme where your [Secret API Key](https://app.uploadcare.com/projects/-/api-keys/) MUST be specified in every request's `auth-param`.

Path parameters

uuidstringRequiredformat: "uuid"
File UUID.

Headers

AcceptstringRequired
Version header.

Response

File stored. File info in JSON.
datetime_removeddatetime or null
Date and time when a file was removed, if any.
datetime_storeddatetime or null
Date and time of the last store request, if any.
datetime_uploadeddatetime
Date and time when a file was uploaded.
is_imageboolean
Is file is image.
is_readyboolean
Is file is ready to be used after upload.
mime_typestring

File MIME-type.

original_file_urlstring or nullformat: "uri"
Publicly available file CDN URL. Available if a file is not deleted.
original_filenamestring
Original file name taken from uploaded file.
sizeinteger
File size in bytes.
urlstringformat: "uri"
API resource URL for a particular file.
uuidstringformat: "uuid"
File UUID.
variationsobject or null

Dictionary of other files that were created using this file as a source. It’s used for video processing and document conversion jobs. E.g., <conversion_path>: <uuid>.

content_infoobject
Information about file content.
metadataobject
Arbitrary metadata associated with a file.
appdataobject
Dictionary of application names and data associated with these applications.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error